<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAreaStocksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('area_stocks', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('area_id');
            $table->integer('amount')->comment('增加值');
            $table->integer('stock')->comment('库存量');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('area_stocks');
    }
}
